Bug 88288 - Memory leak in EnumerateActions call results handler (polkit_authority_enumerate_actions_finish)
Summary: Memory leak in EnumerateActions call results handler (polkit_authority_enumer...
Status: RESOLVED FIXED
Alias: None
Product: PolicyKit
Classification: Unclassified
Component: libpolkit (show other bugs)
Version: unspecified
Hardware: All All
: medium major
Assignee: David Zeuthen (not reading bugmail)
QA Contact: David Zeuthen (not reading bugmail)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-11 10:41 UTC by Max A. Dednev
Modified: 2015-01-13 23:05 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Fix for memory leak in EnumerateActions call results handler. (710 bytes, text/plain)
2015-01-11 10:41 UTC, Max A. Dednev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max A. Dednev 2015-01-11 10:41:26 UTC
Created attachment 112087 [details]
Fix for memory leak in EnumerateActions call results handler.

I've found, that policykit-1-0.105 in my Debian Wheezy doesn't release reference counters of GVariant data for org.freedesktop.PolicyKit1.Authority.EnumerateActions DBUS call resulting data. 

See patch in attachment.
g_variant_ref_sink (child) call was odd in case of iterating array child items.
Comment 1 Max A. Dednev 2015-01-11 10:44:40 UTC
There is high possibility that this bug causes memory leaking in kded4 (see https://bugs.kde.org/show_bug.cgi?id=271934) and other policykit-1 client software.
Comment 2 Colin Walters 2015-01-12 01:04:37 UTC
Looks good to me, thanks!  I tweaked the commit message to match the standard style, and pushed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.